## name.milesparker.markets
Class Markets

    java.lang.Object
      org.ascape.model.AscapeObject
          org.ascape.model.Agent
              org.ascape.model.LocatedAgent
                  org.ascape.model.Cell
                      org.ascape.model.CellOccupant
                          org.ascape.model.Scape
                              name.milesparker.markets.Markets

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.EventListener, ControlListener, ScapeListener, Location, Node, SpaceContext, HasName, RandomFunctions, IGraphicsAdapted

Direct Known Subclasses:
  Markets3D

    public class Markets

extends Scape
implements IGraphicsAdapted

Markets Java Implementation. Generated by AMF for model: Markets.metaabm in project: org.eclipse.amp.amf.examples.escape

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.ascape.model.Scape
`Scape.ConditionalIterator, Scape.DrawFeatureObservable`

Field Summary

Fields inherited from class org.ascape.model.Scape
`AGENT_ORDER, agentsPerIteration, ALL_AGENTS, CLEAR_STATS_RULE, COLLECT_STATS_RULE, COMPARE_ORDERED_QUALIFIERS, COMPLETE_TOUR, copyrightAndCredits, CREATE_GRAPHIC_VIEW_RULE, CREATE_RULE, CREATE_SCAPE_RULE, CREATE_VIEW_RULE, EXECUTE_RULES_RULE, INITIAL_RULES_RULE, initialRules, prototypeAgent, REPEATED_DRAW, RULE_ORDER, version`

Fields inherited from class org.ascape.model.CellOccupant
`PLAY_HOST_RULE, RANDOM_WALK_AVAILABLE_RULE`

Fields inherited from class org.ascape.model.Cell
`CALCULATE_NEIGHBORS_RULE, neighbors, PLAY_NEIGHBORS_RULE, PLAY_RANDOM_NEIGHBOR_RULE`

Fields inherited from class org.ascape.model.LocatedAgent
`agentSize, coordinate, MOVE_RANDOM_LOCATION_RULE, RANDOM_WALK_RULE, thisUpdate`

Fields inherited from class org.ascape.model.Agent
`DEATH_RULE, FISSIONING_RULE, FORCE_DIE_RULE, FORCE_FISSION_RULE, FORCE_MOVE_RULE, INITIALIZE_RULE, ITERATE_AND_UPDATE_RULE, ITERATE_RULE, METABOLISM_RULE, MOVEMENT_RULE, PLAY_OTHER, UPDATE_RULE`

Fields inherited from class org.ascape.model.AscapeObject
`ARBITRARY_SEED, name, PLATFORM_DEFAULT_COLOR, scape`

Constructor Summary
`Markets()` Constructs a new Markets.

Method Summary
`void` `calculateTimeStep(int timeStep)`
`java.lang.Object` `clone()` Clones the agent, ensuring that a unique id is assigned.
`protected void` `create2DViews()`
`protected void` `createChartViews()`
`protected Firm` `createFirmPrototype()` Create an instance of Firm that will be used to populate the firmScape.
`void` `createGraphicViews()` Creates UI views for Markets.
`protected void` `createGraphViews()`
`protected Instrument` `createInstrumentPrototype()` Create an instance of Instrument that will be used to populate the instrumentScape.
`void` `createScape()` Creates the members of Markets.
`protected Trader` `createTraderPrototype()` Create an instance of Trader that will be used to populate the traderScape.
`java.util.List<IAgentChild>` `getChildren()`
`double` `getEarningMovementFactorMaximum()` Gets the Earning Movement Factor Maximum property for Markets.
`double` `getEarningMovementFactorMinimum()` Gets the Earning Movement Factor Minimum property for Markets.
`int` `getFirmCount()` Gets the Firm Count property for Markets.
`Scape` `getFirmInstruments()` Gets the FirmInstruments property for Markets.
`Scape` `getFirmScape()` Returns the Scape containing Firms.
`int` `getFirmSharesCount()` Gets the Firm Shares Count property for Markets.
`int` `getFirmSharesperInstrument()` Gets the Firm Shares per Instrument property for Markets.
`IGraphicsAdapter` `getGraphicsAdapter()`
`double` `getInitialFirmPriceMaximum()` Gets the Initial Firm Price Maximum property for Markets.
`double` `getInitialFirmPriceMinimum()` Gets the Initial Firm Price Minimum property for Markets.
`double` `getInitialFirmValueMaximum()` Gets the Initial Firm Value Maximum property for Markets.
`double` `getInitialFirmValueMinimum()` Gets the Initial Firm Value Minimum property for Markets.
`double` `getInitialTraderFundsMaximum()` Gets the Initial Trader Funds Maximum property for Markets.
`double` `getInitialTraderFundsMinimum()` Gets the Initial Trader Funds Minimum property for Markets.
`Scape` `getInstrumentHolders()` Gets the InstrumentHolders property for Markets.
`Scape` `getInstrumentScape()` Returns the Scape containing Instruments.
`java.lang.String` `getName()`
`double` `getSharePriceAdjustmentMaximum()` Gets the Share Price Adjustment Maximum property for Markets.
`double` `getSharePriceAdjustmentMinimum()` Gets the Share Price Adjustment Minimum property for Markets.
`Scape` `getTargetBuyFirms()` Gets the Target Buy Firms property for Markets.
`int` `getTraderCount()` Gets the Trader Count property for Markets.
`Scape` `getTraderScape()` Returns the Scape containing Traders.
`long` `getUID()`
`static void` `main(java.lang.String[] args)`
`void` `scapeSetup(ScapeEvent scapeEvent)`
`void` `setEarningMovementFactorMaximum(double _earningMovementFactorMaximum)` Sets the Earning Movement Factor Maximum property for Markets.
`void` `setEarningMovementFactorMinimum(double _earningMovementFactorMinimum)` Sets the Earning Movement Factor Minimum property for Markets.
`void` `setFirmCount(int _firmCount)` Sets the Firm Count property for Markets.
`void` `setFirmInstruments(Scape _firmInstruments)` Sets the FirmInstruments property for Markets.
`void` `setFirmSharesCount(int _firmSharesCount)` Sets the Firm Shares Count property for Markets.
`void` `setFirmSharesperInstrument(int _firmSharesperInstrument)` Sets the Firm Shares per Instrument property for Markets.
`void` `setInitialFirmPriceMaximum(double _initialFirmPriceMaximum)` Sets the Initial Firm Price Maximum property for Markets.
`void` `setInitialFirmPriceMinimum(double _initialFirmPriceMinimum)` Sets the Initial Firm Price Minimum property for Markets.
`void` `setInitialFirmValueMaximum(double _initialFirmValueMaximum)` Sets the Initial Firm Value Maximum property for Markets.
`void` `setInitialFirmValueMinimum(double _initialFirmValueMinimum)` Sets the Initial Firm Value Minimum property for Markets.
`void` `setInitialTraderFundsMaximum(double _initialTraderFundsMaximum)` Sets the Initial Trader Funds Maximum property for Markets.
`void` `setInitialTraderFundsMinimum(double _initialTraderFundsMinimum)` Sets the Initial Trader Funds Minimum property for Markets.
`void` `setInstrumentHolders(Scape _instrumentHolders)` Sets the InstrumentHolders property for Markets.
`void` `setSharePriceAdjustmentMaximum(double _sharePriceAdjustmentMaximum)` Sets the Share Price Adjustment Maximum property for Markets.
`void` `setSharePriceAdjustmentMinimum(double _sharePriceAdjustmentMinimum)` Sets the Share Price Adjustment Minimum property for Markets.
`void` `setTargetBuyFirms(Scape _targetBuyFirms)` Sets the Target Buy Firms property for Markets.
`void` `setTraderCount(int _traderCount)` Sets the Trader Count property for Markets.
`void` `startSimulationAgentChild(int timeStep)`

Methods inherited from class org.ascape.model.Scape

`add, add, add, add, addAll, addDrawFeature, addInitialRule, addInitialRule, addRule, addRule, addScapeListener, addScapeListenerFirst, addStatCollector, addStatCollectorIfNew, addStatCollectors, addView, addView, addView, addViews, addViews, addViews, assignParameters, assignParameters, calculateDistance, calculateDistance, clear, construct, contains, containsAll, contentsToString, countWithin, createNonGraphicViews, createSelfView, createViews, createViews, environmentQuiting, execute, execute, executeOnMembers, executeOnMembers, executeOnMembers, executeOnMembers, executeOnRoot, executeOnRoot, find, findMaximum, findMaximum, findMaximumWithin, findMinimum, findMinimum, findMinimumWithin, findNearest, findRandom, findRandom, findRandom, findRandomCoordinate, findWithin, get, get, getAgentsPerIteration, getAllScapes, getCollectStats, getData, getDescription, getDrawFeatures, getDrawFeaturesObservable, getEnvironment, getExecutionOrder, getExecutionStyle, getExtent, getHome, getHTMLDescription, getInitialRules, getIteration, getIterationsPerRedraw, getModel, getPausePeriod, getPeriod, getPeriodDescription, getPeriodName, getPrototype, getPrototypeAgent, getRoot, getRules, getRunner, getScapeListeners, getSize, getSpace, getStartPeriod, getStatCollectors, getStopPeriod, getSuperScape, getThreadCount, getUIEnvironment, getUserEnvironment, hasWithin, initialize, isAllViewsUpdated, isAutoCreate, isCellsRequestUpdates, isEmpty, isGraphic, isHome, isLifeOfScape, isListenersAndMembersCurrent, isMembersActive, isMutable, isPaused, isPeriodic, isPopulateOnCreate, isRoot, isRunning, isScapeListener, isSerializable, isStartOnOpen, isUpdateNeeded, isValidPeriod, isViewSelf, iterator, listenerOrMemberUpdated, listenerUpdated, memberUpdated, moveAway, moveToward, newAgent, newAgent, notifyViews, notifyViews, populate, remove, remove, removeAll, removeDrawFeature, removeScapeListener, respondControl, respondDrawFeature, retainAll, retrieveAllAccessors, retrieveAllAccessorsOrdered, retrieveModelAccessorsOrdered, save, save, scapeAdded, scapeClosing, scapeDeserialized, scapeInitialized, scapeIterated, scapeIterator, scapeIterator, scapeIterators, scapeNotification, scapeRandomIterator, scapeRemoved, scapeStarted, scapeStopped, search, searchMax, searchMin, set, set, set, set, setAgentsPerIteration, setAutoCreate, setAutoRestart, setCellsRequestUpdates, setCollectStats, setCollectStats, setDescription, setEarliestPeriod, setExecutionOrder, setExecutionStyle, setExtent, setExtent, setExtent, setHome, setHTMLDescription, setInitialRules, setIterationsPerRedraw, setIterationsPerRedraw, setLatestPeriod, setMembersActive, setPaused, setPausePeriod, setPeriodic, setPeriodName, setPopulateOnCreate, setPrototypeAgent, setRunner, setRunning, setSerializable, setSize, setSpace, setStartOnOpen, setStartPeriod, setStopPeriod, setSuperScape, setThreadCount, setViewSelf, size, toArray, toArray, toString, withinIterator`

Methods inherited from class org.ascape.model.CellOccupant

`die, findAvailableNeighbors, findNearest, findNearest, findNearest, findNearest, findNearest, findNeighbors, findNeighborsOnHost, findRandomAvailableNeighbor, findRandomNeighbor, findRandomNeighborOnHost, findWithin, findWithin, findWithin, getCoordinate, getHostCell, getHostScape, leave, moveAway, moveTo, moveToRandomLocation, moveToward, playNeighbors, playRandomNeighbor, randomWalk, randomWalkAvailable, setHostCell, setHostScape`

Methods inherited from class org.ascape.model.Cell
`calculateNeighbors, countNeighbors, findOccupants, findRelative, getDistance, getNeighbors, getNeighbors, getNetwork, getOccupant, hostedCondition, isAvailable, removeOccupant, setNeighbors, setNeighborsList, setNetwork, setOccupant`

Methods inherited from class org.ascape.model.LocatedAgent
`calculateDistance, calculateDistance, countWithin, countWithin, countWithin, findMaximumWithin, findWithin, getAgentSize, hasWithin, hasWithin, hasWithin, isUpdateNeeded, moveAway, moveAway, moveTo, moveToward, moveToward, requestUpdate, requestUpdateNext, setAgentSize, setCoordinate`

Methods inherited from class org.ascape.model.Agent
`clearDeleteMarker, death, deathCondition, execute, execute, fission, fissionCondition, fissioning, getColor, getColor, getImage, getImage, getPlatformColor, isDelete, isInitialized, iterate, markForDeletion, metabolism, move, movement, movementCondition, play, scapeCreated, setInitialized, setScape, update`

Methods inherited from class org.ascape.model.AscapeObject
`diffDeep, diffDeep, diffDeepBFS, diffDeepDFS, diffDeepValidate, diffDeepVisit, equalsDeep, equalsDeep, equalsDeep, getComparisonStream, getRandom, getRandomSeed, getScape, randomInRange, randomInRange, randomIs, randomToLimit, reseed, setComparisonStream, setName, setRandom, setRandomSeed`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Collection
`equals, hashCode`

Methods inherited from interface org.ascape.model.event.ScapeListener
`getScape`

Methods inherited from interface org.ascape.model.space.Location
`clearDeleteMarker, isDelete, markForDeletion, setCoordinate`

Constructor Detail

### Markets

    public Markets()

  Constructs a new Markets.

Method Detail

### getChildren

    public java.util.List<IAgentChild> getChildren()

### getUID

    public long getUID()

### clone

    public java.lang.Object clone()

  Clones the agent, ensuring that a unique id is assigned.

  Specified by:
    `clone` in interface `ScapeListener`
  Specified by:
    `clone` in interface `Location`
  Overrides:
    `clone` in class `Scape`
  Returns:
    the object

### createTraderPrototype

    protected Trader createTraderPrototype()

  Create an instance of Trader that will be used to populate the traderScape. Overide to customize the prototype, for example to change the views created for a member scape.

### createFirmPrototype

    protected Firm createFirmPrototype()

  Create an instance of Firm that will be used to populate the firmScape. Overide to customize the prototype, for example to change the views created for a member scape.

### createInstrumentPrototype

    protected Instrument createInstrumentPrototype()

  Create an instance of Instrument that will be used to populate the instrumentScape. Overide to customize the prototype, for example to change the views created for a member scape.

### createScape

    public void createScape()

  Creates the members of Markets.

  Overrides:
    `createScape` in class `Scape`
  See Also:
    `Scape.setPopulateOnCreate(boolean)`

### createGraphicViews

    public void createGraphicViews()

  Creates UI views for Markets.

  Overrides:
    `createGraphicViews` in class `Scape`

### scapeSetup

    public void scapeSetup(ScapeEvent scapeEvent)

  Specified by:
    `scapeSetup` in interface `ScapeListener`
  Overrides:
    `scapeSetup` in class `Scape`
  Parameters:
    `scapeEvent` - the associated scape event

### getTraderScape

    public Scape getTraderScape()

  Returns the Scape containing Traders.

### getFirmScape

    public Scape getFirmScape()

  Returns the Scape containing Firms.

### getInstrumentScape

    public Scape getInstrumentScape()

  Returns the Scape containing Instruments.

### createChartViews

    protected void createChartViews()

### create2DViews

    protected void create2DViews()

### createGraphViews

    protected void createGraphViews()

### getGraphicsAdapter

    public IGraphicsAdapter getGraphicsAdapter()

  Specified by:
    `getGraphicsAdapter` in interface `IGraphicsAdapted`

### main

    public static void main(java.lang.String[] args)

### startSimulationAgentChild

    public void startSimulationAgentChild(int timeStep)

### calculateTimeStep

    public void calculateTimeStep(int timeStep)

### getTraderCount

    public int getTraderCount()

  Gets the Trader Count property for Markets.

  Returns:
    The number of traders to create.

### setTraderCount

    public void setTraderCount(int _traderCount)

  Sets the Trader Count property for Markets. The number of traders to create.

  Parameters:
    `_traderCount` - the new Trader Count value

### getFirmCount

    public int getFirmCount()

  Gets the Firm Count property for Markets.

  Returns:
    The number of firms to create.

### setFirmCount

    public void setFirmCount(int _firmCount)

  Sets the Firm Count property for Markets. The number of firms to create.

  Parameters:
    `_firmCount` - the new Firm Count value

### getInitialFirmValueMinimum

    public double getInitialFirmValueMinimum()

  Gets the Initial Firm Value Minimum property for Markets.

  Returns:

### setInitialFirmValueMinimum

    public void setInitialFirmValueMinimum(double _initialFirmValueMinimum)

  Sets the Initial Firm Value Minimum property for Markets.

  Parameters:
    `_initialFirmValueMinimum` - the new Initial Firm Value Minimum value

### getInitialFirmValueMaximum

    public double getInitialFirmValueMaximum()

  Gets the Initial Firm Value Maximum property for Markets.

  Returns:

### setInitialFirmValueMaximum

    public void setInitialFirmValueMaximum(double _initialFirmValueMaximum)

  Sets the Initial Firm Value Maximum property for Markets.

  Parameters:
    `_initialFirmValueMaximum` - the new Initial Firm Value Maximum value

### getEarningMovementFactorMinimum

    public double getEarningMovementFactorMinimum()

  Gets the Earning Movement Factor Minimum property for Markets.

  Returns:

### setEarningMovementFactorMinimum

    public void setEarningMovementFactorMinimum(double _earningMovementFactorMinimum)

  Sets the Earning Movement Factor Minimum property for Markets.

  Parameters:
    `_earningMovementFactorMinimum` - the new Earning Movement Factor Minimum value

### getEarningMovementFactorMaximum

    public double getEarningMovementFactorMaximum()

  Gets the Earning Movement Factor Maximum property for Markets.

  Returns:

### setEarningMovementFactorMaximum

    public void setEarningMovementFactorMaximum(double _earningMovementFactorMaximum)

  Sets the Earning Movement Factor Maximum property for Markets.

  Parameters:
    `_earningMovementFactorMaximum` - the new Earning Movement Factor Maximum value

### getFirmSharesperInstrument

    public int getFirmSharesperInstrument()

  Gets the Firm Shares per Instrument property for Markets.

  Returns:

### setFirmSharesperInstrument

    public void setFirmSharesperInstrument(int _firmSharesperInstrument)

  Sets the Firm Shares per Instrument property for Markets.

  Parameters:
    `_firmSharesperInstrument` - the new Firm Shares per Instrument value

### getSharePriceAdjustmentMinimum

    public double getSharePriceAdjustmentMinimum()

  Gets the Share Price Adjustment Minimum property for Markets.

  Returns:

### setSharePriceAdjustmentMinimum

    public void setSharePriceAdjustmentMinimum(double _sharePriceAdjustmentMinimum)

  Sets the Share Price Adjustment Minimum property for Markets.

  Parameters:
    `_sharePriceAdjustmentMinimum` - the new Share Price Adjustment Minimum value

### getSharePriceAdjustmentMaximum

    public double getSharePriceAdjustmentMaximum()

  Gets the Share Price Adjustment Maximum property for Markets.

  Returns:

### setSharePriceAdjustmentMaximum

    public void setSharePriceAdjustmentMaximum(double _sharePriceAdjustmentMaximum)

  Sets the Share Price Adjustment Maximum property for Markets.

  Parameters:
    `_sharePriceAdjustmentMaximum` - the new Share Price Adjustment Maximum value

### getInitialFirmPriceMinimum

    public double getInitialFirmPriceMinimum()

  Gets the Initial Firm Price Minimum property for Markets.

  Returns:

### setInitialFirmPriceMinimum

    public void setInitialFirmPriceMinimum(double _initialFirmPriceMinimum)

  Sets the Initial Firm Price Minimum property for Markets.

  Parameters:
    `_initialFirmPriceMinimum` - the new Initial Firm Price Minimum value

### getInitialFirmPriceMaximum

    public double getInitialFirmPriceMaximum()

  Gets the Initial Firm Price Maximum property for Markets.

  Returns:

### setInitialFirmPriceMaximum

    public void setInitialFirmPriceMaximum(double _initialFirmPriceMaximum)

  Sets the Initial Firm Price Maximum property for Markets.

  Parameters:
    `_initialFirmPriceMaximum` - the new Initial Firm Price Maximum value

### getInitialTraderFundsMinimum

    public double getInitialTraderFundsMinimum()

  Gets the Initial Trader Funds Minimum property for Markets.

  Returns:

### setInitialTraderFundsMinimum

    public void setInitialTraderFundsMinimum(double _initialTraderFundsMinimum)

  Sets the Initial Trader Funds Minimum property for Markets.

  Parameters:
    `_initialTraderFundsMinimum` - the new Initial Trader Funds Minimum value

### getInitialTraderFundsMaximum

    public double getInitialTraderFundsMaximum()

  Gets the Initial Trader Funds Maximum property for Markets.

  Returns:

### setInitialTraderFundsMaximum

    public void setInitialTraderFundsMaximum(double _initialTraderFundsMaximum)

  Sets the Initial Trader Funds Maximum property for Markets.

  Parameters:
    `_initialTraderFundsMaximum` - the new Initial Trader Funds Maximum value

### getFirmSharesCount

    public int getFirmSharesCount()

  Gets the Firm Shares Count property for Markets.

  Returns:

### setFirmSharesCount

    public void setFirmSharesCount(int _firmSharesCount)

  Sets the Firm Shares Count property for Markets.

  Parameters:
    `_firmSharesCount` - the new Firm Shares Count value

### getInstrumentHolders

    public Scape getInstrumentHolders()

  Gets the InstrumentHolders property for Markets.

  Returns:

### setInstrumentHolders

    public void setInstrumentHolders(Scape _instrumentHolders)

  Sets the InstrumentHolders property for Markets.

  Parameters:
    `_instrumentHolders` - the new InstrumentHolders value

### getFirmInstruments

    public Scape getFirmInstruments()

  Gets the FirmInstruments property for Markets.

  Returns:

### setFirmInstruments

    public void setFirmInstruments(Scape _firmInstruments)

  Sets the FirmInstruments property for Markets.

  Parameters:
    `_firmInstruments` - the new FirmInstruments value

### getTargetBuyFirms

    public Scape getTargetBuyFirms()

  Gets the Target Buy Firms property for Markets.

  Returns:

### setTargetBuyFirms

    public void setTargetBuyFirms(Scape _targetBuyFirms)

  Sets the Target Buy Firms property for Markets.

  Parameters:
    `_targetBuyFirms` - the new Target Buy Firms value

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `SpaceContext`
  Specified by:
    `getName` in interface `HasName`
  Overrides:
    `getName` in class `Scape`
  Returns:
    the name